function checkShiftEstAccuracy(filename,trueShift,tol)
%checkShiftEstAccuracy(filename,trueShift,tol)

if isnumeric(filename) == 1
    shifts = filename;
else
    load(filename);
end

numCorrect = 0;

for k = 1:length(shifts)
    if abs(shifts(k)-trueShift) <= tol
        numCorrect = numCorrect + 1;
    end
end

%fprintf('\n<----------%s---------->\n',filename);
fprintf('\n<----------NEW SET---------->\n');
fprintf('trueShift = %f Hz\n',trueShift);
fprintf('tolerance = %f Hz\n',tol);
fprintf('\nACCURACY = %f%%\n',100*(numCorrect/length(shifts)));

% fprintf('%f%%\n',100*(numCorrect/length(shifts)));